# fuware

the warehouse use to tracking item in house

# Project setup

install `Taskfile` first with this command line:
- for macOS, linux:
  ```bash
  brew install go-task
  ```
- for windows:
  ```bash
  winget install Task.Task
  ```
  or

  ```bash
  npm install -g @go-task/cli
  ```
more information : [Link](https://taskfile.dev/installation/)

install `pnpm` for front-end with command line:
```bash
npm i pnpm -g
```

install `poetry` for back-end with command line:
```bash
curl -sSL https://install.python-poetry.org | python3 -
```
for more information please see here : [Link](https://python-poetry.org/docs/#installing-with-the-official-installer)

# Common CLI

### alembic

generate migration

```bash
alembic revision -m "version message"
```

```bash
alembic upgrade head
```

```bash
alembic history
```

```bash
alembic current
```

```bash
alembic downgrade -1
```

```bash
alembic upgrade +1
```

generate migration auto code

```bash
alembic revision --autogenerate -m "version message"
```

# Back-end

## Usage

```bash
task be
```

# Front-end

## Usage

```bash
task fe:i
```

### Learn more on the [Solid Website](https://solidjs.com)

## Available Scripts

In the project directory, you can run:

```bash
task fe
```

## Deployment

Learn more about deploying your application with the [documentations](https://vitejs.dev/guide/static-deploy.html)
